Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78568 - console utmp entries overwritten by telnet pts entries
Summary: console utmp entries overwritten by telnet pts entries
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: telnet
Version: 7.1
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-25 21:33 UTC by Need Real Name
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-08-25 08:27:07 UTC


Attachments (Terms of Use)

Description Need Real Name 2002-11-25 21:33:33 UTC
Description of Problem:
a telnet session (pts/1) will overwrite console session (tty1) in utmp AND visa 
versa

Version-Release number of selected component (if applicable):
telnet-0.17-18.1 

How Reproducible:
every time.

Steps to Reproduce:
1. login to console tty1
2. telnet into server (pts/0)
3. telnet again (pts/1)
4. who

Actual Results:
USER     TTY      FROM              LOGIN@   IDLE   JCPU   PCPU  WHAT
user    pts/1    workstation          4:14pm  0.00s  0.02s  0.01s  w


Expected Results:
USER     TTY      FROM              LOGIN@   IDLE   JCPU   PCPU  WHAT
root     tty1     -                 4:07pm  6:25   0.02s  0.01s  -ksh
user    pts/1    workstation          4:14pm  0.00s  0.02s  0.01s  w


Additional Information:
i'm a newbie. be kind if this is a duplicate. i searched the archives.	
kernel - 2.4.9-34
telnet-0.17-18.1  i'm not sure that this is the culprit.
util-linux-2.11f-17.7.2

ssh works fine. only telnet is affected.

Thanks
Enzo

Comment 1 Davide D'Amico 2003-03-05 18:49:38 UTC
Also RedHat 7.2 and 7.3 are affected from this problem.
rlogin, it has the same problem.



Note You need to log in before you can comment on or make changes to this bug.